<?php

  require_once "Classes/DataBase.class.php";
  require_once "Classes/Template.class.php";

  $db = new DataBase();
  $courses          = $db->getCourses();

  // BUILD PAGE
  $tpl = new Template("templates/");
  // set files and blocks
  $tpl->set_file("page_tp", "page.tpl");
  $tpl->set_block("page_tp", "LICOURSE", "licourses");
  // generate page
  foreach ($courses as $course) {
    $tpl->set_var("NAME_LICOURSE", $course->getName());
    $tpl->set_var("URL_LICOURSE",  "showCourse.php?courseId=".$course->getId());
    $tpl->parse("licourses",  "LICOURSE", true);
  }
  $tpl->set_var("TITLE", "StudentsWatch - view course");
  $tpl->parse("HEADEXTRA", "HEADBLOCK");
  $tpl->parse("CONTENT", "CONTENTBLOCK");
  $tpl->pparse("htmlcode", "page_tp");

?>

