<?php

  class Student {
    var $name;
    var $birth;
    var $id;
    var $weekevals;
    var $photo;

    // constructor
    function Student($name="", $birth="", $id=-1, $weekevals=array()) {
      $this->name  = $name;
      $this->birth = $birth;
      $this->id    = $id;
      $this->weekevals = $weekevals;
      $this->photo = (file_exists("Images/Students/student".$id.".jpg")?"student".$id.".jpg":"default.jpg");
    }

    // getters
    public function getName() {
      return $this->name;
    }
    public function getBirth() {
      return $this->birth;
    }
    public function getId() {
      return $this->id;
    }
    public function getWeekevals() {
      return $this->weekevals;
    }
    public function getPhoto() {
      return $this->photo;
    }
    public function getAge() {
      $now   = explode("-",date('Y-m-d', time()));
      $birth = explode("-",$this->getBirth());
      $age   = $now[0] - $birth[0];
      if ($now[1]<$birth[1] || ($now[1]==$birth[1] && $now[2]<$birth[2])) $age--;
      return $age;
    }

    // setters
    public function setName($name) {
      $this->name = $name;
    }
    public function setBirth($birth) {
      $this->birth = $birth;
    }
    public function setId($id) {
      $this->id = $id;
    }
    public function setWeekevals($weekevals) {
      $this->weekevals = $weekevals;
    }

  }

?>